Skip to main content
GET
/
links
/
directed
Get outgoing links
import requests

url = "https://{FUSION HOST}/api/links/directed"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/links/directed")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/links/directed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/links/directed")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/links/directed"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/links/directed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/links/directed
[
  {
    "subject": "<string>",
    "object": "<string>",
    "originator": "<string>"
  }
]

Query Parameters

resource
string

Resource to get outgoing links for.

exclusive
boolean
default:false

Exclusive means objects used by the given resource are not used by other resources. Default value is false.

bypassCache
boolean
default:false

Bypass the cache and retrieve directly from storage.

skipSharedGroup
boolean
default:false

Exclude shared group from returned links.

Response

200 - application/json

successful operation

subject

Resource reference as a string, such as 'datasource:ratings-db'

object

Resource reference as a string, such as 'datasource:ratings-db'

Possible link types:

  • DependsOn - The subject depends on the object.

  • Supports - The subject is depended on by the object (the reverse of dependsOn).

  • IsPartOf - The subject is part of the object, where the object is a group.

  • HasPart - The subject is a group, of which the object is a member (the reverse of isPartOf).

  • RelatesTo - The subject relates to the object. This is a uni-directional relationship that associates two objects that have none of the relationships described above.

  • InContextOf - The subject exists in the context of the object, which is an app.

  • HasContext - The subject is an app that contains the object.

  • Self - The subject and the object are the same.

Available options:
dependsOn,
supports,
isPartOf,
hasPart,
relatesTo,
inContextOf,
hasContext,
self
originator
string
read-only